Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Cloud
Customer Service Management / Reference / REST API

Organization

Postman Collection
OpenAPI
GET

Get organization detail fields

Returns all organization detail fields, including their configuration. You can use the get organization profile API to get details for a particular organization.

Permissions required: Administer Jira global permission.

read:organization.detail-field:jira-service-management

Request

This request has no parameters.

Responses

Returns a list of organization detail fields.

application/json

DetailFieldsWithConfiguration
GET/api/v1/organization/details
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/details' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 { "results": [ { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] }, "configuration": { "position": 1 } } ] }
POST

Create organization detail field

Creates an organization detail field. You can create up to 50 detail fields.

Permissions required: Administer Jira global permission.

write:organization.detail-field:jira-service-management

Request

Request bodyapplication/json

name

string

Required
type

DetailFieldType

Required

Responses

Returns the created detail field.

application/json

CreateDetailFieldResponse
POST/api/v1/organization/details
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/details' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] } }
PUT

Edit organization detail field

Renames an organization detail field and/or changes the available options for SELECT or MULTISELECT fields.

Permissions required: Administer Jira global permission.

write:organization.detail-field:jira-service-management

Request

Path parameters

fieldName

string

Required

Request bodyapplication/json

name

string

Required
options

array<string>

Responses

Returns the edited organization detail field.

application/json

EditDetailFieldResponse
PUT/api/v1/organization/details/{fieldName}
1 2 3 4 5 6 7 8 9 10 11 12 13 curl --request PUT \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/details/{fieldName}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "name": "Region", "options": [ "AU", "EU", "US" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 { "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] } }
DEL

Delete organization detail field

Deletes an organization detail field and all values stored for it for all organizations. You cannot restore a detail field once it has been deleted.

Permissions required: Administer Jira global permission.

delete:organization.detail-field:jira-service-management

Request

Path parameters

fieldName

string

Required

Responses

Returns no response if the organization detail field is deleted.

DEL/api/v1/organization/details/{fieldName}
1 2 3 curl --request DELETE \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/details/{fieldName}' \ --header 'Authorization: Bearer <access_token>'
GET

Get organization

Returns an organization, including its details. It is recommended to use the get organization profile API which is a simpler response shape to work with and also includes the entitlements for the organization.

Permissions required: Jira Service Management agent.

read:organization:jira-service-management
,
read:organization.detail:jira-service-management

Request

Path parameters

organizationId

string

Required

Responses

Returns the requested organization.

application/json

Organization
GET/api/v1/organization/{organizationId}
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/{organizationId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 { "id": "123", "name": "Atlassian", "details": [ { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] }, "values": [ "EU" ], "configuration": { "position": 1 } } ] }
PUT

Update organizationExperimental

Updates an organization's name.

Permissions required: Customer Service Management or Jira Service Management user. Note: Permission to update organizations can be switched to users with the Administer Jira global permission permission using the Organization management feature available in Jira Service Management product settings.

write:organization:jira-service-management

Request

Path parameters

organizationId

string

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

name

string

Required

Responses

Returns the updated organization.

application/json

CustomerOrganization

This represents the ID and name of the organizations which the individual are members of.

PUT/api/v1/organization/{organizationId}
1 2 3 4 5 6 7 8 9 curl --request PUT \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/{organizationId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "name": "Atlassian" }'
200Response
1 2 3 4 { "id": "123", "name": "Atlassian" }
PUT

Set organization detail

Permissions required: Jira Service Management agent.

write:organization.detail:jira-service-management

Request

Path parameters

organizationId

string

Required

Query parameters

fieldName

string

Required

Request bodyapplication/json

values

array<string>

Responses

Returns the updated field.

application/json

UpdateDetailFieldResponse
PUT/api/v1/organization/{organizationId}/details
1 2 3 4 5 6 7 8 9 10 curl --request PUT \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/{organizationId}/details?fieldName=Region' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "values": [ "EU" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] }, "values": [ "EU" ] }
GET

Get organization entitlements

Returns a list of the organization's entitlements, along with their details.

Permissions required: Jira Service Management agent.

read:organization:entitlement:jira-service-management

Request

Path parameters

organizationId

string

Required

Query parameters

product

string

Responses

Returns a list of entitlements.

application/json

array<Entitlement>

GET/api/v1/organization/{organizationId}/entitlement
1 2 3 4 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/{organizationId}/entitlement' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "id": "321", "name": "Region", "type": { "name": "SELECT" }, "values": [ "EU" ], "configuration": {} } ] } ]
POST

Create organization entitlement

Permissions required: Jira Service Management agent.

write:organization:entitlement:jira-service-management

Request

Path parameters

organizationId

string

Required

Request bodyapplication/json

The ID of the associated product, as a UUID.

productId

string

Required

Responses

Returns the created entitlement.

application/json

Entitlement
POST/api/v1/organization/{organizationId}/entitlement
1 2 3 4 5 6 7 8 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/{organizationId}/entitlement' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '{ "productId": "3858a61a-d337-42e6-993e-e13e1c366d4f" }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "id": "321", "name": "Region", "type": { "name": "SELECT", "options": [ "AU", "EU", "US" ] }, "values": [ "EU" ], "configuration": { "position": 1 } } ] }
POST

Create organizationExperimental

Creates an organization.

Permissions required: Customer Service Management or Jira Service Management user. Note: Permission to create organizations can be switched to users with the Administer Jira global permission permission using the Organization management feature available in Jira Service Management product settings.

write:organization:jira-service-management

Request

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

name

string

Required

Responses

Returns the created organization.

application/json

CustomerOrganization

This represents the ID and name of the organizations which the individual are members of.

POST/api/v1/organization
1 2 3 4 5 6 7 8 9 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "name": "Atlassian" }'
200Response
1 2 3 4 { "id": "123", "name": "Atlassian" }
POST

Fetch multiple organizationsExperimental

Returns a maximum of 50 organizations, fetched by organization id or name.
Any organizations that cannot be found will be omitted from the results.

Permissions required: Customer Service Management or Jira Service Management user.

read:organization:jira-service-management

Request

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

organizationIds

array<string>

organizationNames

array<string>

Responses

Returns the requested organizations, if existing.

application/json

FetchOrganizationResponse

Response containing the list of requested organizations.

POST/api/v1/organization/fetch
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/fetch' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "organizationIds": [ "1", "2" ], "organizationNames": [ "Atlassian" ] }'
200Response
1 2 3 4 5 6 7 8 { "organizations": [ { "id": "123", "name": "Atlassian" } ] }
GET

Get organization profileExperimental

Returns a organization's profile, including its custom details and any product entitlements.

Permissions required: Customer Service Management or Jira Service Management user.

read:organization.profile:jira-service-management

Request

Path parameters

organizationId

string

Required

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Responses

Returns the requested organization profile.

application/json

OrganizationProfile
GET/api/v1/organization/profile/{organizationId}
1 2 3 4 5 curl --request GET \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/profile/{organizationId}' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 { "id": "1", "name": "Atlassian", "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ], "entitlements": [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ] } ], "customers": [ { "id": "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053" } ] }
POST

Create organization profileExperimental

Creates an organization's profile, including adding the organization's detail fields, customers belonging to the organization and any product entitlements.

Permissions required: Customer Service Management or Jira Service Management user. Note: Permission to create organizations can be switched to users with the Administer Jira global permission permission using the Organization management feature available in Jira Service Management product settings.

write:organization.profile:jira-service-management

Request

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

name

string

Required
details

array<ProfileDetailFieldValueRequest>

associateCustomers

AssociateCustomers

associateProducts

AssociateProducts

Responses

Returns the created organization profile.

application/json

OrganizationProfile
POST/api/v1/organization/profile
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/profile' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "name": "Atlassian", "details": [ { "name": "Region", "values": [ "EU" ] } ], "associateCustomers": { "customerIds": [ "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053", "qm:10c2e972-eef6-4e0e-aa81-9a9e7a4ba9a7:3468699a-b2f0-4ae9-ab2d-155a5f5a8db4" ] }, "associateProducts": { "productIds": [ "3858a61a-d337-42e6-993e-e13e1c366d4f", "4858a61a-d337-42e6-993e-e13e1c366d4f" ] } }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 { "id": "1", "name": "Atlassian", "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ], "entitlements": [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ] } ], "customers": [ { "id": "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053" } ] }
POST

Fetch multiple organization profilesExperimental

Returns a maximum of 25 organization profiles.
Any organizations that cannot be found will be omitted from the results.

Permissions required: Customer Service Management or Jira Service Management user.

read:organization.profile:jira-service-management

Request

Header parameters

X-ExperimentalApi

ExperimentalHeader

Required

Request bodyapplication/json

organizationIds

array<string>

organizationNames

array<string>

expand

array<string>

Responses

Returns the requested organization profiles, if existing.

application/json

OrganizationProfilesResponse

Response containing the list of requested profiles.

POST/api/v1/organization/profile/fetch
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 curl --request POST \ --url 'https://api.atlassian.com/jsm/csm/cloudid/{cloudId}/api/v1/organization/profile/fetch' \ --header 'Authorization: Bearer <access_token>' \ --header 'Accept: application/json' \ --header 'X-ExperimentalApi: opt-in' \ --header 'Content-Type: application/json' \ --data '{ "organizationIds": [ "1", "2" ], "organizationNames": [ "Atlassian" ] }'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 { "profiles": [ { "id": "1", "name": "Atlassian", "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ], "entitlements": [ { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "product": { "id": "3858a61a-d337-42e6-993e-e13e1c366d4f", "name": "Acme Widget" }, "entitledEntity": { "id": "123", "type": "CUSTOMER" }, "details": [ { "name": "Region", "value": { "type": "SELECT", "text": [ "EU" ] } } ] } ], "customers": [ { "id": "qm:9edf598a-85d4-4db9-bf2e-7245922b4ea8:0000e9d8-a22e-4220-ac63-412ff9eec053" } ] } ] }

Rate this page: